# We use a custom path to avoid conflict with system.private_file_download route.
# See https://www.drupal.org/project/drupal/issues/2694129
single_content_sync.file_download:
  path: '/content/export/download/{scheme}'
  defaults:
    _controller: '\Drupal\system\FileDownloadController::download'
    scheme: public
  requirements:
    _permission: 'export single content'

single_content_sync.import:
  path: '/admin/content/import'
  defaults:
    _form: '\Drupal\single_content_sync\Form\ContentImportForm'
    _title: 'Import content'
  requirements:
    _permission: 'import single content'

single_content_sync.config_settings:
  path: '/admin/config/content/single-content-sync'
  defaults:
    _form: '\Drupal\single_content_sync\Form\ContentSyncConfigForm'
    _title: 'Single Content Sync Settings'
  requirements:
    _permission: 'administer single content sync'

route_callbacks:
  - '\Drupal\single_content_sync\Routing\ContentExportRoutes::routes'
